Submit an RCS brand
Starts asynchronous provider provisioning and external review for a brand. Repeating this request for an in-progress brand returns its current state without creating new work.
POST
/
rcs
/
brands
/
{id}
/
submit
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.rcs.brands.submit('id');
console.log(response.brand_id);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.rcs.brands.submit(
"id",
)
print(response.brand_id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Rcs.Brands.Submit(
context.TODO(),
"id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.rcs().brands().submit("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.rcs.brands.submit("id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->rcs->brands->submit(
'id',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx rcs:brands submit \
--api-key 'My API Key' \
--id idcurl --request POST \
--url https://api.telnyx.com/v2/rcs/brands/{id}/submit \
--header 'Authorization: Bearer <token>'{
"brand_id": "11111111-1111-4111-8111-111111111111",
"display_name": "Acme",
"legal_name": "Acme LLC",
"legal_entity_type": "LIMITED_LIABILITY_COMPANY",
"organization_type": "PRIVATE_PROFIT",
"website_url": "https://www.example.com",
"status": "CREATED",
"profile_id": "40000000-0000-0000-0000-000000000001",
"identifiers": {
"ein": {
"identifier_type": "EIN",
"value": "12-3456789"
}
},
"addresses": {
"primary": {
"line_1": "1 Main Street",
"city": "Chicago",
"administrative_area": "IL",
"postal_code": "60601",
"country_code": "US"
}
},
"contacts": {
"brand": {
"contact_type": "BRAND",
"first_name": "Jane",
"last_name": "Doe",
"title": "Messaging Operations Manager",
"email": "jane@example.com",
"phone_number": "+13125550100"
}
},
"capabilities": {
"brand_entity": true,
"brand_verification": true,
"submission_sections": true,
"distinct_launch_phase": false,
"per_carrier_approval": false,
"templates": false,
"campaigns": false,
"vendor_webhooks": false,
"invite_test_devices": false
}
}{
"detail": "The requested RCS resource was not found."
}{
"detail": "The requested RCS resource was not found."
}{
"detail": "The requested RCS resource was not found."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Telnyx-assigned brand identifier.
Response
The brand submission was accepted.
Minimum string length:
1Pattern:
^[Hh][Tt][Tt][Pp][Ss]?://Available options:
CREATED, CONFIGURED, SUBMITTED, REVIEWING, VETTING, VERIFIED, REJECTED, FAILED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.rcs.brands.submit('id');
console.log(response.brand_id);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.rcs.brands.submit(
"id",
)
print(response.brand_id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Rcs.Brands.Submit(
context.TODO(),
"id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.rcs().brands().submit("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.rcs.brands.submit("id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->rcs->brands->submit(
'id',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx rcs:brands submit \
--api-key 'My API Key' \
--id idcurl --request POST \
--url https://api.telnyx.com/v2/rcs/brands/{id}/submit \
--header 'Authorization: Bearer <token>'{
"brand_id": "11111111-1111-4111-8111-111111111111",
"display_name": "Acme",
"legal_name": "Acme LLC",
"legal_entity_type": "LIMITED_LIABILITY_COMPANY",
"organization_type": "PRIVATE_PROFIT",
"website_url": "https://www.example.com",
"status": "CREATED",
"profile_id": "40000000-0000-0000-0000-000000000001",
"identifiers": {
"ein": {
"identifier_type": "EIN",
"value": "12-3456789"
}
},
"addresses": {
"primary": {
"line_1": "1 Main Street",
"city": "Chicago",
"administrative_area": "IL",
"postal_code": "60601",
"country_code": "US"
}
},
"contacts": {
"brand": {
"contact_type": "BRAND",
"first_name": "Jane",
"last_name": "Doe",
"title": "Messaging Operations Manager",
"email": "jane@example.com",
"phone_number": "+13125550100"
}
},
"capabilities": {
"brand_entity": true,
"brand_verification": true,
"submission_sections": true,
"distinct_launch_phase": false,
"per_carrier_approval": false,
"templates": false,
"campaigns": false,
"vendor_webhooks": false,
"invite_test_devices": false
}
}{
"detail": "The requested RCS resource was not found."
}{
"detail": "The requested RCS resource was not found."
}{
"detail": "The requested RCS resource was not found."
}